### Struct

# Camel UrlScanner

#### Description

    struct CamelUrlScanner {
      /* No available fields */
    }

No description available.

#### Functions

###### camel_url_scanner_new

No description available.

#### Instance methods

###### camel_url_scanner_add

Adds a new `pattern` into the scanner.

###### camel_url_scanner_free

Frees the `scanner`.

###### camel_url_scanner_scan

Scan the `in` string with the `match` criterias.